#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDC,0x63,0x62,0x9A,0x07,0xBB,0x23,0x04,0xB7,0x86,0x50,0x33,
		0xC3,0x6B,0x8D,0xF0,0x5F,0xB1,0xAA,0x3C,0x47,0x17,0x70,0xA3,
		0x7F,0x48,0x99,0x6E,0x33,0x93,0x1E,0x44,0x2F,0xB0,0x16,0x56,
		0xFB,0x71,0x37,0x5C,0x2E,0x04,0x77,0xB0,0x3F,0xDC,0x25,0x3D,
		0xF5,0xBD,0x48,0xFA,0x62,0xDD,0xD5,0x19,0xD3,0xC1,0x66,0x64,
		0xCC,0xC3,0x3A,0x63,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
